com.hazelcast.nio

## Class NodeIOService

- java.lang.Object
- - com.hazelcast.nio.NodeIOService

- All Implemented Interfaces:
    IOService

      @PrivateApi
      public class NodeIOService
      extends Object
      implements IOService

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.nio.IOService

      `KILO_BYTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeIOService(Node node, com.hazelcast.spi.impl.NodeEngineImpl nodeEngine)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.hazelcast.internal.networking.InboundHandler[]` | `createInboundHandlers(EndpointQualifier qualifier, TcpIpConnection connection)`
    `com.hazelcast.internal.networking.OutboundHandler[]` | `createOutboundHandlers(EndpointQualifier qualifier, TcpIpConnection connection)`
    `void` | `executeAsync(Runnable runnable)`
    `com.hazelcast.client.impl.ClientEngine` | `getClientEngine()`
    `long` | `getConnectionMonitorInterval()`
    `int` | `getConnectionMonitorMaxFaults()`
    `EventService` | `getEventService()`
    `String` | `getHazelcastName()`
    `LoggingService` | `getLoggingService()`
    `MemcacheProtocolConfig` | `getMemcacheProtocolConfig()` Returns initialized `MemcacheProtocolConfig` for the node.
    `Collection<Integer>` | `getOutboundPorts(EndpointQualifier endpointQualifier)`
    `RestApiConfig` | `getRestApiConfig()` Returns initialized `RestApiConfig` for the node.
    `com.hazelcast.internal.serialization.InternalSerializationService` | `getSerializationService()`
    `int` | `getSocketConnectTimeoutSeconds(EndpointQualifier endpointQualifier)`
    `MemberSocketInterceptor` | `getSocketInterceptor(EndpointQualifier endpointQualifier)`
    `SocketInterceptorConfig` | `getSocketInterceptorConfig(EndpointQualifier endpointQualifier)`
    `SSLConfig` | `getSSLConfig(EndpointQualifier endpointQualifier)`
    `SymmetricEncryptionConfig` | `getSymmetricEncryptionConfig(EndpointQualifier endpointQualifier)`
    `com.hazelcast.internal.ascii.TextCommandService` | `getTextCommandService()`
    `Address` | `getThisAddress()`
    `Map<EndpointQualifier,Address>` | `getThisAddresses()`
    `void` | `interceptSocket(EndpointQualifier endpointQualifier, Socket socket, boolean onAccept)`
    `boolean` | `isActive()`
    `boolean` | `isSocketBind()`
    `boolean` | `isSocketBindAny()`
    `boolean` | `isSocketInterceptorEnabled(EndpointQualifier endpointQualifier)`
    `void` | `onDisconnect(Address endpoint, Throwable cause)`
    `void` | `onFailedConnection(Address address)`
    `void` | `onFatalError(Exception e)`
    `void` | `onSuccessfulConnection(Address address)`
    `HazelcastProperties` | `properties()`
    `void` | `removeEndpoint(Address endPoint)`
    `void` | `shouldConnectTo(Address address)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeIOService

          public NodeIOService(Node node,
                               com.hazelcast.spi.impl.NodeEngineImpl nodeEngine)

  - ### Method Detail

    - #### properties

          public HazelcastProperties properties()

      Specified by:
        `properties` in interface `IOService`

    - #### getHazelcastName

          public String getHazelcastName()

      Specified by:
        `getHazelcastName` in interface `IOService`

    - #### getLoggingService

          public LoggingService getLoggingService()

      Specified by:
        `getLoggingService` in interface `IOService`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `IOService`

    - #### getThisAddress

          public Address getThisAddress()

      Specified by:
        `getThisAddress` in interface `IOService`

    - #### getThisAddresses

          public Map<EndpointQualifier,Address> getThisAddresses()

      Specified by:
        `getThisAddresses` in interface `IOService`
      Returns:
        all server socket addresses of this Hazelcast member, as picked by the configured `AddressPicker`

    - #### onFatalError

          public void onFatalError(Exception e)

      Specified by:
        `onFatalError` in interface `IOService`

    - #### getSocketInterceptorConfig

          public SocketInterceptorConfig getSocketInterceptorConfig(EndpointQualifier endpointQualifier)

    - #### getSymmetricEncryptionConfig

          public SymmetricEncryptionConfig getSymmetricEncryptionConfig(EndpointQualifier endpointQualifier)

      Specified by:
        `getSymmetricEncryptionConfig` in interface `IOService`

    - #### getSSLConfig

          public SSLConfig getSSLConfig(EndpointQualifier endpointQualifier)

      Specified by:
        `getSSLConfig` in interface `IOService`

    - #### getClientEngine

          public com.hazelcast.client.impl.ClientEngine getClientEngine()

      Specified by:
        `getClientEngine` in interface `IOService`

    - #### getTextCommandService

          public com.hazelcast.internal.ascii.TextCommandService getTextCommandService()

      Specified by:
        `getTextCommandService` in interface `IOService`

    - #### removeEndpoint

          public void removeEndpoint(Address endPoint)

      Specified by:
        `removeEndpoint` in interface `IOService`

    - #### onDisconnect

          public void onDisconnect(Address endpoint,
                                   Throwable cause)

      Specified by:
        `onDisconnect` in interface `IOService`

    - #### onSuccessfulConnection

          public void onSuccessfulConnection(Address address)

      Specified by:
        `onSuccessfulConnection` in interface `IOService`

    - #### onFailedConnection

          public void onFailedConnection(Address address)

      Specified by:
        `onFailedConnection` in interface `IOService`

    - #### shouldConnectTo

          public void shouldConnectTo(Address address)

      Specified by:
        `shouldConnectTo` in interface `IOService`

    - #### isSocketBind

          public boolean isSocketBind()

      Specified by:
        `isSocketBind` in interface `IOService`

    - #### isSocketBindAny

          public boolean isSocketBindAny()

      Specified by:
        `isSocketBindAny` in interface `IOService`

    - #### interceptSocket

          public void interceptSocket(EndpointQualifier endpointQualifier,
                                      Socket socket,
                                      boolean onAccept)
                               throws IOException

      Specified by:
        `interceptSocket` in interface `IOService`
      Throws:
        `IOException`

    - #### isSocketInterceptorEnabled

          public boolean isSocketInterceptorEnabled(EndpointQualifier endpointQualifier)

      Specified by:
        `isSocketInterceptorEnabled` in interface `IOService`

    - #### getSocketConnectTimeoutSeconds

          public int getSocketConnectTimeoutSeconds(EndpointQualifier endpointQualifier)

      Specified by:
        `getSocketConnectTimeoutSeconds` in interface `IOService`

    - #### getConnectionMonitorInterval

          public long getConnectionMonitorInterval()

      Specified by:
        `getConnectionMonitorInterval` in interface `IOService`

    - #### getConnectionMonitorMaxFaults

          public int getConnectionMonitorMaxFaults()

      Specified by:
        `getConnectionMonitorMaxFaults` in interface `IOService`

    - #### executeAsync

          public void executeAsync(Runnable runnable)

      Specified by:
        `executeAsync` in interface `IOService`

    - #### getEventService

          public EventService getEventService()

      Specified by:
        `getEventService` in interface `IOService`

    - #### getSerializationService

          public com.hazelcast.internal.serialization.InternalSerializationService getSerializationService()

      Specified by:
        `getSerializationService` in interface `IOService`

    - #### getSocketInterceptor

          public MemberSocketInterceptor getSocketInterceptor(EndpointQualifier endpointQualifier)

      Specified by:
        `getSocketInterceptor` in interface `IOService`

    - #### createInboundHandlers

          public com.hazelcast.internal.networking.InboundHandler[] createInboundHandlers(EndpointQualifier qualifier,
                                                                                          TcpIpConnection connection)

      Specified by:
        `createInboundHandlers` in interface `IOService`

    - #### createOutboundHandlers

          public com.hazelcast.internal.networking.OutboundHandler[] createOutboundHandlers(EndpointQualifier qualifier,
                                                                                            TcpIpConnection connection)

      Specified by:
        `createOutboundHandlers` in interface `IOService`

    - #### getOutboundPorts

          public Collection<Integer> getOutboundPorts(EndpointQualifier endpointQualifier)

      Specified by:
        `getOutboundPorts` in interface `IOService`

    - #### getRestApiConfig

          public RestApiConfig getRestApiConfig()

      Description copied from interface: `IOService`
      Returns initialized `RestApiConfig` for the node.
      Specified by:
        `getRestApiConfig` in interface `IOService`

    - #### getMemcacheProtocolConfig

          public MemcacheProtocolConfig getMemcacheProtocolConfig()

      Description copied from interface: `IOService`
      Returns initialized `MemcacheProtocolConfig` for the node.
      Specified by:
        `getMemcacheProtocolConfig` in interface `IOService`

Copyright © 2019. All rights reserved.